Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1341851 - dnf install httpie fails to install httpie...
Summary: dnf install httpie fails to install httpie...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: httpie
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Rick Elrod
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-06-01 21:26 UTC by morgan read
Modified: 2016-07-17 16:15 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-06-02 10:27:35 UTC
Type: Bug


Attachments (Terms of Use)

Description morgan read 2016-06-01 21:26:25 UTC
Description of problem:
install python3-httpie.noarch
install httpie.noarch

Nil/ Nada/ Nought installed...

...
Installed:
  httpie.noarch 0.9.2-1.fc22                                                                                            

Complete!
[morgan@morgansmachine ~]$ man httpie
No manual entry for httpie
[morgan@morgansmachine ~]$ httpie --help
bash: httpie: command not found...
[morgan@morgansmachine ~]$ httpie -h
bash: httpie: command not found...
[morgan@morgansmachine ~]$ httpie
bash: httpie: command not found...
[morgan@morgansmachine ~]$ which httpie
/usr/bin/which: no httpie in (/usr/lib64/qt-3.3/bin:/usr/local/bin:/usr/local/sbin:/usr/bin:/usr/sbin:/bin:/sbin:/opt/usr/bin:/opt/usr/sbin:/home/morgan/.local/bin:/home/morgan/bin:/opt/usr/bin:/opt/usr/sbin)

...
Installed:
  python3-httpie.noarch 0.9.2-1.fc22                         python3-pygments.noarch 1.6-3.fc21                        

Complete!
[morgan@morgansmachine ~]$ man httpie
No manual entry for httpie
[morgan@morgansmachine ~]$ httpie --help
bash: httpie: command not found...
[morgan@morgansmachine ~]$ which httpie
/usr/bin/which: no httpie in (/usr/lib64/qt-3.3/bin:/usr/local/bin:/usr/local/sbin:/usr/bin:/usr/sbin:/bin:/sbin:/opt/usr/bin:/opt/usr/sbin:/home/morgan/.local/bin:/home/morgan/bin:/opt/usr/bin:/opt/usr/sbin)
[morgan@morgansmachine ~]$

Version-Release number of selected component (if applicable):
0.9.2-1.fc22
0.9.2-1.fc22

How reproducible:
Seems reporoducible

Steps to Reproduce:
1. Install either httpie packages
2. Try to use it, command not found...
3. which reports nothing...

Actual results:
No httpie

Expected results:
httpie

Additional info:
Weird...

Comment 1 Rick Elrod 2016-06-03 21:15:06 UTC
Were you able to figure this out? If not, can you give me the output of `rpm -q httpie` and `rpm -ql httpie`?

Comment 2 morgan read 2016-07-17 16:15:43 UTC
command is http not httpie


Note You need to log in before you can comment on or make changes to this bug.